%undefine _debugsource_packages
Name:       DIRE
Version:    2.004
Release:    1%{?dist}
Summary:    DIRE is  a C++ program for all-order radiative corrections to scattering processes in high-energy particle collisions.

License:    Unknown
URL:        http://dire.gitlab.io/
Source0:    http://dire.gitlab.io/Downloads/DIRE-2.004.tar.gz
Patch0:     patch-DIRE-0.txt
Prefix: %{_prefix}

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    pythia8-devel rsync gcc-c++
BuildRequires:    dos2unix
Requires:         pythia8


%description
DIRE (short for dipole resummation), a C++ program for all-order 
radiative corrections to scattering processes in high-energy particle 
collisions. DIRE is available as plugin to the PYTHIA8 General Purpose 
Monte Carlo Event Generator. 

%package devel
Summary:      DIRE Development Files
Group:        Development/Libraries
Requires:     %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides development files for Pythia 8.

%prep
%setup -q
%patch0 -p0

%build
%configure --with-pythia8=/usr --enable-shared  --enable-64bit --with-pythia8-lib=/usr/%_lib

make %{?_smp_mflags} 

%install

make %{?_smp_mflags} install DESTDIR=%{?buildroot}
rm %{?buildroot}/usr/lib/libdire.a
mkdir -p  %{?buildroot}/usr/%_lib
mv %{?buildroot}/usr/lib/libdire.so %{?buildroot}/usr/%_lib/libdire.so

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{_bindir}/*
%{_libdir}/*.so*
%{_includedir}/Dire
%{_includedir}/DirePlugins
/usr/share/Dire


%changelog
* Fri Nov 29 2019 Andrii Verbytskyi 2.004
+ 2.004
